Skip to main content
PATCH
Update specification
You are reading the docs of Galtea 5.17. Read this page in the latest version.

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Path Parameters

id
string
required

Specification ID

Body

application/json
id
string
Example:

"spec_123"

productId
string
Example:

"prod_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"Accurate query responses"

description
string
Example:

"Product must respond accurately to user queries"

type
enum<string>
Available options:
CAPABILITY,
INABILITY,
POLICY
Example:

"CAPABILITY"

testType
enum<string> | null

POLICY: the classified value. CAPABILITY: always SCENARIOS (auto-assigned). Null for INABILITY.

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS
Example:

"QUALITY"

testVariant
string | null

Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.

Example:

"rag"

useForTestAlignment
boolean
Example:

true

isCritical
boolean

Marks a specification whose failure is serious for the business. Defaults to false. Must not be true for INABILITY specifications.

Example:

false

metricIds
string[]
Example:
createdAt
string<date-time>
deletedAt
string<date-time> | null

Response

Specification updated successfully

id
string
Example:

"spec_123"

productId
string
Example:

"prod_123"

userId
string | null
Example:

"user_123"

name
string
Example:

"Accurate query responses"

description
string
Example:

"Product must respond accurately to user queries"

type
enum<string>
Available options:
CAPABILITY,
INABILITY,
POLICY
Example:

"CAPABILITY"

testType
enum<string> | null

POLICY: the classified value. CAPABILITY: always SCENARIOS (auto-assigned). Null for INABILITY.

Available options:
QUALITY,
RED_TEAMING,
SCENARIOS
Example:

"QUALITY"

testVariant
string | null

Only applicable for POLICY specifications. QUALITY: rag, entity_extraction, summarization, classification, translation, correction, other. RED_TEAMING: data_leakage, financial_attacks, illegal_activities, misuse, toxicity, custom.

Example:

"rag"

useForTestAlignment
boolean
Example:

true

isCritical
boolean

Marks a specification whose failure is serious for the business. Defaults to false. Must not be true for INABILITY specifications.

Example:

false

metricIds
string[]
Example:
createdAt
string<date-time>
deletedAt
string<date-time> | null